Subject: Re: Git mirror at gitlab

From: Patrick Steinhardt <[email-masked]>
Date: Sat, 30 Mar 2024 10:06:39 +0100

On Sat, Mar 30, 2024 at 09:20:22AM +0100, Olliver Schinagl wrote:
> On 30-03-2024 09:18, Patrick Steinhardt wrote:
> > On Sat, Mar 30, 2024 at 09:14:47AM +0100, Olliver Schinagl wrote:
> > > On 22-03-2024 14:04, Patrick Steinhardt wrote:
> > > > On Fri, Mar 22, 2024 at 11:08:34AM +0100, Christian Couder wrote:
> > > > > (Sorry for initially sending this privately to Patrick.)
> > > > > 
> > > > > On Fri, Mar 22, 2024 at 10:41 AM Patrick Steinhardt <[email-masked]> wrote:
> > > > [snip]
> > > > > > I'd personally rather go with the latter, mostly because it matches our
> > > > > > git-scm.com domain. I also like it better than the current git-vcs/git
> > > > > > because of that.
> > > > > > 
> > > > > > So Chris, would you mind adding me (@pks-t, my non-GitLab handle) as an
> > > > > > additional owner of that group?
> > > 
> > > I'll empty out my gitscm group, make it private so that it won't be
> > > accidentally used and transfer ownership to pks-t. You can then 'do what is
> > > needed' with the group. Since gitlab doesn't support aliases (yet? :p) best
> > > to park the namespace.
> > > 
> > > Olliver
> > 
> > By the way, thanks a ton for being this open and helpful during the
> > whole process. This is greatly appreciated!
> 
> Hey, no problem. I initiated this discussion because I wanted to get to this
> solution. Just because my mirror is not used doesn't mean I don't agree :)
> 
> Btw, I can't transfer the group, it's empty, but if I delete it _right now_,
> you'll have to re-create it, _right_now_ (well within the next 5 minutes?).

Shouldn't it be possible to add me as a secondary owner of the group in
[1]? From thereon I could "transfer" the group by removing you from it.

Patrick

[1]: https://gitlab.com/groups/gitscm/-/group_members